org.eclnt.jsfserver.elements.componentnodes

## Class CALLSERVERONINACTIVITYNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CALLSERVERONINACTIVITYNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CALLSERVERONINACTIVITYNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CALLSERVERONINACTIVITYNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CALLSERVERONINACTIVITYNode` | `bindActionListener(IActionListenerDelegation value)`
    `CALLSERVERONINACTIVITYNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CALLSERVERONINACTIVITYNode` | `bindComment(IDynamicContentBindingObject value)`
    `CALLSERVERONINACTIVITYNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CALLSERVERONINACTIVITYNode` | `bindDuration(IDynamicContentBindingObject value)`
    `CALLSERVERONINACTIVITYNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CALLSERVERONINACTIVITYNode` | `setActionListener(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setAdapterbinding(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setAttributemacro(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setComment(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setConfiginfo(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setDuration(int value)`
    `CALLSERVERONINACTIVITYNode` | `setDuration(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setId(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setReference(java.lang.String value)`
    `CALLSERVERONINACTIVITYNode` | `setRendered(boolean value)`
    `CALLSERVERONINACTIVITYNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CALLSERVERONINACTIVITYNode

          public CALLSERVERONINACTIVITYNode()

  - ### Method Detail

    - #### setId

          public CALLSERVERONINACTIVITYNode setId(java.lang.String value)

    - #### setActionListener

          public CALLSERVERONINACTIVITYNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CALLSERVERONINACTIVITYNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CALLSERVERONINACTIVITYNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CALLSERVERONINACTIVITYNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CALLSERVERONINACTIVITYNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CALLSERVERONINACTIVITYNode setComment(java.lang.String value)

    - #### bindComment

          public CALLSERVERONINACTIVITYNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CALLSERVERONINACTIVITYNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CALLSERVERONINACTIVITYNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public CALLSERVERONINACTIVITYNode setDuration(java.lang.String value)

    - #### bindDuration

          public CALLSERVERONINACTIVITYNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public CALLSERVERONINACTIVITYNode setDuration(int value)

    - #### setReference

          public CALLSERVERONINACTIVITYNode setReference(java.lang.String value)

    - #### setRendered

          public CALLSERVERONINACTIVITYNode setRendered(java.lang.String value)

    - #### bindRendered

          public CALLSERVERONINACTIVITYNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CALLSERVERONINACTIVITYNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.